
TYPO3.TYPO3CR - Feature # 2811

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Query handling
Created: 2009-03-10 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: Implement a case insensitive equals constraint
Description

Add a new or enhance the existing "equals" query constraint to allow for case insensitive search in properties.

Related issues:
related to TYPO3.TYPO3CR - Feature # 1875: Add more query options to persiste... Closed 2008-10-27

Associated revisions
Revision ebd06dad - 2009-03-18 15:22 - Karsten Dambekalns
FLOW3:
    -  equality comparisons in persistence can now be done case-insensitive (in QueryInterface and Repository), refs #1884, refs #2811
TYPO3CR:
    -  changed more use of PersistenceManager into PersistenceManagerInterface
    -  added support for case-insensitive equality comparison in QueryInterface implementation, fixes #2811
    -  implemented Literal, LowerCase, UpperCase in QOM
    -  reduced the number of tables used for storing properties by roughly 50%
    -  removed Lucene search backend
    -  added in-RDBMS property index and new search backend based on it, refs #1886
FLOW3 Distribution:
    -  removed Lucene package from Global packages
    -  removed install.sh, it was broken anyway

History
#1 - 2009-03-18 16:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2011.

#2 - 2011-05-05 17:13 - Robert Lemke
- Target version deleted (198)
